This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 98011 - "cat /proc/crypto" -> OOPS
"cat /proc/crypto" -> OOPS
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-25 10:38 EDT by matti aarnio
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-25 00:17:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description matti aarnio 2003-06-25 10:38:29 EDT
Description of problem:
  $ cat /proc/crypto
  -> kernel OOPS

Version-Release number of selected component (if applicable):
  Rawhide: kernel-2.4.20-20.1.2007.nptl.i686.rpm

How reproducible:
  always

Steps to Reproduce:
1. Install that kernel
2. boot to it
3. no  /proc/crypto  related configurations in system
3. cat /proc/crypto
    
Actual results:
....
Unable to handle kernel NULL pointer dereference at virtual address 00000008
c01e76dd
*pde = 1e1da067
Oops: 0000
CPU:    0
EIP:    0060:[<c01e76dd>]    Not tainted
Using defaults from ksymoops -t elf32-i386 -a i386
EFLAGS: 00010286
eax: 00000000   ebx: d2e5ddac   ecx: c03528b7   edx: 00001000
esi: c03528a0   edi: c03528a0   ebp: 00001000   esp: dfff1f48
ds: 0068   es: 0068   ss: 0068
Process cat (pid: 25706, stackpage=dfff1000)
Stack: d2e5ddac c027cb12 c03528b4 c03528a0 d2e5ddac c015e542 d2e5ddac c03528a0 
       00000000 d2e5ddc4 00000000 00001000 00000000 00000000 00000000 00000000 
       c5cc8b84 ffffffea 00001000 c0143e03 c5cc8b84 09a2f888 00001000 c5cc8ba4 
Call Trace:   [<c015e542>] seq_read [kernel] 0xa2 (0xdfff1f5c)
[<c0143e03>] sys_read [kernel] 0xa3 (0xdfff1f94)
[<c01099ff>] system_call [kernel] 0x33 (0xdfff1fc0)
Code: 8b 40 08 c7 44 24 04 25 cb 27 c0 89 1c 24 89 44 24 08 e8 1c 

>>EIP; c01e76dd <c_show+2d/100>   <=====
Trace; c015e542 <seq_read+a2/2d0>
Trace; c0143e03 <sys_read+a3/140>
Trace; c01099ff <system_call+33/38>
Code;  c01e76dd <c_show+2d/100>
00000000 <_EIP>:
Code;  c01e76dd <c_show+2d/100>   <=====
   0:   8b 40 08                  mov    0x8(%eax),%eax   <=====
Code;  c01e76e0 <c_show+30/100>
   3:   c7 44 24 04 25 cb 27      movl   $0xc027cb25,0x4(%esp,1)
Code;  c01e76e7 <c_show+37/100>
   a:   c0 
Code;  c01e76e8 <c_show+38/100>
   b:   89 1c 24                  mov    %ebx,(%esp,1)
Code;  c01e76eb <c_show+3b/100>
   e:   89 44 24 08               mov    %eax,0x8(%esp,1)
Code;  c01e76ef <c_show+3f/100>
  12:   e8 1c 00 00 00            call   33 <_EIP+0x33>




Expected results:
  no idea, general curiousity..

Additional info:
Comment 1 Bill Nottingham 2003-07-25 00:17:17 EDT
This is 'fixed' in the beta kernel (no ipsec)

Note You need to log in before you can comment on or make changes to this bug.